<?php
/**
 * Theme Customizer Helper Functions
 *
 * @package somalite
 */



/**
* Render callback for sm_topbar_phone
*
* 
* @return mixed
*/
if ( ! function_exists( 'somalite_topbar_phone_render_callback' ) ) :
function somalite_topbar_phone_render_callback(){
    return wp_kses_post( get_theme_mod( 'sm_topbar_phone' ) );
}
endif;


/**
* Render callback for sm_home_heading_text
*
* 
* @return mixed
*/
if ( ! function_exists( 'somalite_home_heading_text_render_callback' ) ) :
function somalite_home_heading_text_render_callback() {
    return wp_kses_post( get_theme_mod( 'sm_home_heading_text' ) );
}
endif;

/**
* Render callback for sm_home_subheading_text
*
* 
* @return mixed
*/
if ( ! function_exists( 'somalite_home_subheading_text_render_callback' ) ) :
function somalite_home_subheading_text_render_callback() {
    return wp_kses_post( get_theme_mod( 'sm_home_subheading_text' ) );
}
endif;


/**
 * Check if the page title background value
 */
function somalite_page_title_bg_color( $control ) {
	if ( $control->manager->get_setting( 'sm_bg_radio' )->value() == 'color' ) :
		return true;
	else :
		return false;
	endif;
}


/**
 * Check if the page title background image
 */
function somalite_page_title_bg_image( $control ) {
	if ( $control->manager->get_setting( 'sm_bg_radio' )->value() == 'image' ) :
		return true;
	else :
		return false;
	endif;
}


/**
 * Check if the preloader enable
 */
function somalite_site_preloader_enable( $control ) {
	if ( $control->manager->get_setting( 'sm_preloader_display' )->value() == true ) :
		return true;
	else :
		return false;
	endif;
}


/**
 * Check if the home background section disable
 */
function somalite_home_background_section_disable( $control ) {
	if ( $control->manager->get_setting( 'sm_home_section_disable' )->value() == false ) :
		return true;
	else :
		return false;
	endif;
}